#
Summary: This configures startkde to not look at user home disk space 
Name: zz_startkde_afs
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Troy Dawson
requires: kdebase
%description

By default startkde checks to make sure that a users home area has at least 
25K of disk space.  A bug in the openafs kernel module for the enterprise 
kernel causes single cpu machines to only list 1 K of space.  This changes
the check to only need 1 K of space.  The check to make sure kde can actually
write to the users home area is still intact

%files
%post
#
# This modifies /usr/bin/startkde to only check for 1k of space
#
cat /usr/bin/startkde | sed "s:space_home -lt 25 ]:space_home -lt 1 ]:"  > /usr/bin/startkde.tmp
mv -f /usr/bin/startkde.tmp /usr/bin/startkde
chmod +x /usr/bin/startkde


%postun
if [ "$1" = "0" ] ; then
	#
	# This modifies /usr/bin/startkde to make it's check back to normal, which is 25k
	#
	cat /usr/bin/startkde | sed "s:space_home -lt 1 ]:space_home -lt 25 ]:"  > /usr/bin/startkde.tmp
	mv -f /usr/bin/startkde.tmp /usr/bin/startkde
	chmod +x /usr/bin/startkde
fi

%triggerin -- kdebase
cat /usr/bin/startkde | sed "s:space_home -lt 25 ]:space_home -lt 1 ]:"  > /usr/bin/startkde.tmp
mv -f /usr/bin/startkde.tmp /usr/bin/startkde
chmod +x /usr/bin/startkde
